local createCompositiongrains = nil
local createCompositionstarling = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/03_yard/main/anim/z_dovecote/"
---------------------------------------------------------------------------------------
function Loader_03_Zoom_Dovecote_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionstarling, 'action',		        0,0, 1, 320,240, false),
		},
		{
			function (element, textureName)
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositiongrains = function()
	local compositiongrains = CreateCompositionSequence()
	local compositionDuration = 3
	compositiongrains:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."grain.png")
	element:SetName("Layer_1")
	compositiongrains:AddElement(element)
	element:SetHotSpot(5, 10)
	element:SetParentElement(compositiongrains)
 
	effector = element:GetEffector()
	effector:SetLifeTime(1.66666666666667, 3)
	effector:SetKey(_TRACK_X, 1.66666666666667, 102.5)
	effector:SetKey(_TRACK_Y, 1.66666666666667, 226.5)
	effector:SetKey(_TRACK_X, 1.83333333333333, 124.5)
	effector:SetKey(_TRACK_Y, 1.83333333333333, 348)
	effector:SetKey(_TRACK_X, 1.95833333333333, 136)
	effector:SetKey(_TRACK_Y, 1.95833333333333, 324)
	effector:SetKey(_TRACK_X, 2.125, 143)
	effector:SetKey(_TRACK_Y, 2.125, 348)
	effector:SetKey(_TRACK_X, 2.66666666666667, 184)
	effector:SetKey(_TRACK_Y, 2.66666666666667, 357)
	effector:SetKey(_TRACK_A, 1.83333333333333, 0)
	effector:SetKey(_TRACK_A, 2.125, -6.178465545)
	effector:SetKey(_TRACK_A, 2.66666666666667, -4.642575805)
	effector:SetKey(_TRACK_O, 1.66666666666667, 0)
	effector:SetKey(_TRACK_O, 1.75, 1)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."grain.png")
	element:SetName("Layer_2")
	compositiongrains:AddElement(element)
	element:SetHotSpot(5, 10)
	element:SetParentElement(compositiongrains)
 
	effector = element:GetEffector()
	effector:SetLifeTime(1.54166666666667, 3)
	effector:SetKey(_TRACK_X, 1.54166666666667, 102.5)
	effector:SetKey(_TRACK_Y, 1.54166666666667, 226.5)
	effector:SetKey(_TRACK_X, 1.70833333333333, 124.5)
	effector:SetKey(_TRACK_Y, 1.70833333333333, 348)
	effector:SetKey(_TRACK_X, 1.83333333333333, 131)
	effector:SetKey(_TRACK_Y, 1.83333333333333, 339.5)
	effector:SetKey(_TRACK_X, 2, 135.5)
	effector:SetKey(_TRACK_Y, 2, 373.5)
	effector:SetKey(_TRACK_X, 2.54166666666667, 160)
	effector:SetKey(_TRACK_Y, 2.54166666666667, 388)
	effector:SetKey(_TRACK_A, 1.70833333333333, 0)
	effector:SetKey(_TRACK_A, 2, -6.178465545)
	effector:SetKey(_TRACK_A, 2.54166666666667, -4.642575805)
	effector:SetKey(_TRACK_O, 1.54166666666667, 0)
	effector:SetKey(_TRACK_O, 1.625, 1)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."grain.png")
	element:SetName("Layer_3")
	compositiongrains:AddElement(element)
	element:SetHotSpot(5, 10)
	element:SetParentElement(compositiongrains)
 
	effector = element:GetEffector()
	effector:SetLifeTime(1.45833333333333, 3)
	effector:SetKey(_TRACK_X, 1.45833333333333, 113)
	effector:SetKey(_TRACK_Y, 1.45833333333333, 221)
	effector:SetKey(_TRACK_X, 1.625, 124.5)
	effector:SetKey(_TRACK_Y, 1.625, 348)
	effector:SetKey(_TRACK_X, 1.75, 117.5)
	effector:SetKey(_TRACK_Y, 1.75, 340)
	effector:SetKey(_TRACK_X, 1.91666666666667, 116.75)
	effector:SetKey(_TRACK_Y, 1.91666666666667, 354.75)
	effector:SetKey(_TRACK_X, 2.45833333333333, 103)
	effector:SetKey(_TRACK_Y, 2.45833333333333, 360.25)
	effector:SetKey(_TRACK_A, 1.625, 0)
	effector:SetKey(_TRACK_A, 1.91666666666667, -6.178465545)
	effector:SetKey(_TRACK_A, 2.45833333333333, -4.642575805)
	effector:SetKey(_TRACK_O, 1.45833333333333, 0)
	effector:SetKey(_TRACK_O, 1.54166666666667, 1)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."grain.png")
	element:SetName("Layer_4")
	compositiongrains:AddElement(element)
	element:SetHotSpot(5, 10)
	element:SetParentElement(compositiongrains)
 
	effector = element:GetEffector()
	effector:SetLifeTime(1.375, 3)
	effector:SetKey(_TRACK_X, 1.375, 84.5)
	effector:SetKey(_TRACK_Y, 1.375, 221)
	effector:SetKey(_TRACK_X, 1.54166666666667, 100)
	effector:SetKey(_TRACK_Y, 1.54166666666667, 344)
	effector:SetKey(_TRACK_X, 1.66666666666667, 115)
	effector:SetKey(_TRACK_Y, 1.66666666666667, 326.5)
	effector:SetKey(_TRACK_X, 1.83333333333333, 135)
	effector:SetKey(_TRACK_Y, 1.83333333333333, 349)
	effector:SetKey(_TRACK_X, 2.375, 179.25)
	effector:SetKey(_TRACK_Y, 2.375, 344.5)
	effector:SetKey(_TRACK_A, 1.54166666666667, 0)
	effector:SetKey(_TRACK_A, 1.83333333333333, -6.178465545)
	effector:SetKey(_TRACK_A, 2.375, -6.0911990825)
	effector:SetKey(_TRACK_O, 1.375, 0)
	effector:SetKey(_TRACK_O, 1.45833333333333, 1)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."grain.png")
	element:SetName("Layer_5")
	compositiongrains:AddElement(element)
	element:SetHotSpot(5, 10)
	element:SetParentElement(compositiongrains)
 
	effector = element:GetEffector()
	effector:SetLifeTime(1.29166666666667, 3)
	effector:SetKey(_TRACK_X, 1.29166666666667, 109)
	effector:SetKey(_TRACK_Y, 1.29166666666667, 221.5)
	effector:SetKey(_TRACK_X, 1.45833333333333, 124.5)
	effector:SetKey(_TRACK_Y, 1.45833333333333, 348)
	effector:SetKey(_TRACK_X, 1.58333333333333, 118.5)
	effector:SetKey(_TRACK_Y, 1.58333333333333, 327.5)
	effector:SetKey(_TRACK_X, 1.75, 117.75)
	effector:SetKey(_TRACK_Y, 1.75, 352.5)
	effector:SetKey(_TRACK_X, 2.29166666666667, 140.75)
	effector:SetKey(_TRACK_Y, 2.29166666666667, 345.25)
	effector:SetKey(_TRACK_A, 1.45833333333333, 0)
	effector:SetKey(_TRACK_A, 1.75, 4.9741883625)
	effector:SetKey(_TRACK_A, 2.29166666666667, -4.642575805)
	effector:SetKey(_TRACK_O, 1.29166666666667, 0)
	effector:SetKey(_TRACK_O, 1.375, 1)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."grain.png")
	element:SetName("Layer_6")
	compositiongrains:AddElement(element)
	element:SetHotSpot(5, 10)
	element:SetParentElement(compositiongrains)
 
	effector = element:GetEffector()
	effector:SetLifeTime(1.16666666666667, 3)
	effector:SetKey(_TRACK_X, 1.16666666666667, 102.5)
	effector:SetKey(_TRACK_Y, 1.16666666666667, 226.5)
	effector:SetKey(_TRACK_X, 1.33333333333333, 124.5)
	effector:SetKey(_TRACK_Y, 1.33333333333333, 348)
	effector:SetKey(_TRACK_X, 1.45833333333333, 131)
	effector:SetKey(_TRACK_Y, 1.45833333333333, 339.5)
	effector:SetKey(_TRACK_X, 1.625, 135.5)
	effector:SetKey(_TRACK_Y, 1.625, 373.5)
	effector:SetKey(_TRACK_X, 2.16666666666667, 159.5)
	effector:SetKey(_TRACK_Y, 2.16666666666667, 377.25)
	effector:SetKey(_TRACK_A, 1.33333333333333, 0)
	effector:SetKey(_TRACK_A, 1.625, 3.4906585)
	effector:SetKey(_TRACK_A, 2.16666666666667, -6.4751715175)
	effector:SetKey(_TRACK_O, 1.16666666666667, 0)
	effector:SetKey(_TRACK_O, 1.25, 1)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."grain.png")
	element:SetName("Layer_7")
	compositiongrains:AddElement(element)
	element:SetHotSpot(5, 10)
	element:SetParentElement(compositiongrains)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.875, 3)
	effector:SetKey(_TRACK_X, 0.875, 109)
	effector:SetKey(_TRACK_Y, 0.875, 222)
	effector:SetKey(_TRACK_X, 1.04166666666667, 124.5)
	effector:SetKey(_TRACK_Y, 1.04166666666667, 348)
	effector:SetKey(_TRACK_X, 1.16666666666667, 118.5)
	effector:SetKey(_TRACK_Y, 1.16666666666667, 329)
	effector:SetKey(_TRACK_X, 1.33333333333333, 110)
	effector:SetKey(_TRACK_Y, 1.33333333333333, 346.5)
	effector:SetKey(_TRACK_X, 1.875, 93.5)
	effector:SetKey(_TRACK_Y, 1.875, 352.25)
	effector:SetKey(_TRACK_A, 1.04166666666667, 0)
	effector:SetKey(_TRACK_A, 1.33333333333333, -6.178465545)
	effector:SetKey(_TRACK_A, 1.875, -3.874630935)
	effector:SetKey(_TRACK_O, 0.875, 0)
	effector:SetKey(_TRACK_O, 0.95833333333333, 1)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."grain.png")
	element:SetName("Layer_8")
	compositiongrains:AddElement(element)
	element:SetHotSpot(5, 10)
	element:SetParentElement(compositiongrains)
 
	effector = element:GetEffector()
	effector:SetLifeTime(1, 3)
	effector:SetKey(_TRACK_X, 1, 87)
	effector:SetKey(_TRACK_Y, 1, 224)
	effector:SetKey(_TRACK_X, 1.16666666666667, 124.5)
	effector:SetKey(_TRACK_Y, 1.16666666666667, 348)
	effector:SetKey(_TRACK_X, 1.29166666666667, 136)
	effector:SetKey(_TRACK_Y, 1.29166666666667, 324)
	effector:SetKey(_TRACK_X, 1.45833333333333, 143)
	effector:SetKey(_TRACK_Y, 1.45833333333333, 348)
	effector:SetKey(_TRACK_X, 2, 166.5)
	effector:SetKey(_TRACK_Y, 2, 356.25)
	effector:SetKey(_TRACK_A, 1.16666666666667, 0)
	effector:SetKey(_TRACK_A, 1.45833333333333, -6.178465545)
	effector:SetKey(_TRACK_A, 2, -5.7421332325)
	effector:SetKey(_TRACK_O, 1, 0)
	effector:SetKey(_TRACK_O, 1.08333333333333, 1)
	effector:Play()
 
 
	-- Layer Layer_9
	element = CreateCompositionElement(PREFIX_PATH.."grain.png")
	element:SetName("Layer_9")
	compositiongrains:AddElement(element)
	element:SetHotSpot(5, 10)
	element:SetParentElement(compositiongrains)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.66666666666667, 3)
	effector:SetKey(_TRACK_X, 0.66666666666667, 102.5)
	effector:SetKey(_TRACK_Y, 0.66666666666667, 226.5)
	effector:SetKey(_TRACK_X, 0.83333333333333, 124.5)
	effector:SetKey(_TRACK_Y, 0.83333333333333, 348)
	effector:SetKey(_TRACK_X, 0.95833333333333, 136)
	effector:SetKey(_TRACK_Y, 0.95833333333333, 324)
	effector:SetKey(_TRACK_X, 1.125, 143)
	effector:SetKey(_TRACK_Y, 1.125, 348)
	effector:SetKey(_TRACK_X, 1.66666666666667, 184)
	effector:SetKey(_TRACK_Y, 1.66666666666667, 357)
	effector:SetKey(_TRACK_A, 0.83333333333333, 0)
	effector:SetKey(_TRACK_A, 1.125, -6.178465545)
	effector:SetKey(_TRACK_A, 1.66666666666667, -3.595378255)
	effector:SetKey(_TRACK_O, 0.66666666666667, 0)
	effector:SetKey(_TRACK_O, 0.75, 1)
	effector:Play()
 
 
	-- Layer Layer_10
	element = CreateCompositionElement(PREFIX_PATH.."grain.png")
	element:SetName("Layer_10")
	compositiongrains:AddElement(element)
	element:SetHotSpot(5, 10)
	element:SetParentElement(compositiongrains)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.54166666666667, 3)
	effector:SetKey(_TRACK_X, 0.54166666666667, 102.5)
	effector:SetKey(_TRACK_Y, 0.54166666666667, 226.5)
	effector:SetKey(_TRACK_X, 0.70833333333333, 124.5)
	effector:SetKey(_TRACK_Y, 0.70833333333333, 348)
	effector:SetKey(_TRACK_X, 0.83333333333333, 131)
	effector:SetKey(_TRACK_Y, 0.83333333333333, 339.5)
	effector:SetKey(_TRACK_X, 1, 135.5)
	effector:SetKey(_TRACK_Y, 1, 373.5)
	effector:SetKey(_TRACK_X, 1.54166666666667, 148.5)
	effector:SetKey(_TRACK_Y, 1.54166666666667, 371.25)
	effector:SetKey(_TRACK_A, 0.70833333333333, 0)
	effector:SetKey(_TRACK_A, 1, -6.178465545)
	effector:SetKey(_TRACK_A, 1.54166666666667, -5.480333845)
	effector:SetKey(_TRACK_O, 0.54166666666667, 0)
	effector:SetKey(_TRACK_O, 0.625, 1)
	effector:Play()
 
 
	-- Layer Layer_11
	element = CreateCompositionElement(PREFIX_PATH.."grain.png")
	element:SetName("Layer_11")
	compositiongrains:AddElement(element)
	element:SetHotSpot(5, 10)
	element:SetParentElement(compositiongrains)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.45833333333333, 3)
	effector:SetKey(_TRACK_X, 0.45833333333333, 102.5)
	effector:SetKey(_TRACK_Y, 0.45833333333333, 226.5)
	effector:SetKey(_TRACK_X, 0.625, 124.5)
	effector:SetKey(_TRACK_Y, 0.625, 348)
	effector:SetKey(_TRACK_X, 0.75, 107.5)
	effector:SetKey(_TRACK_Y, 0.75, 329)
	effector:SetKey(_TRACK_X, 0.91666666666667, 113.5)
	effector:SetKey(_TRACK_Y, 0.91666666666667, 359.5)
	effector:SetKey(_TRACK_X, 1.45833333333333, 107.25)
	effector:SetKey(_TRACK_Y, 1.45833333333333, 372.75)
	effector:SetKey(_TRACK_A, 0.625, 0)
	effector:SetKey(_TRACK_A, 0.91666666666667, -6.178465545)
	effector:SetKey(_TRACK_A, 1.45833333333333, -7.60963553)
	effector:SetKey(_TRACK_O, 0.45833333333333, 0)
	effector:SetKey(_TRACK_O, 0.54166666666667, 1)
	effector:Play()
 
 
	-- Layer Layer_12
	element = CreateCompositionElement(PREFIX_PATH.."grain.png")
	element:SetName("Layer_12")
	compositiongrains:AddElement(element)
	element:SetHotSpot(5, 10)
	element:SetParentElement(compositiongrains)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.375, 3)
	effector:SetKey(_TRACK_X, 0.375, 102.5)
	effector:SetKey(_TRACK_Y, 0.375, 226.5)
	effector:SetKey(_TRACK_X, 0.54166666666667, 124.5)
	effector:SetKey(_TRACK_Y, 0.54166666666667, 348)
	effector:SetKey(_TRACK_X, 0.66666666666667, 136)
	effector:SetKey(_TRACK_Y, 0.66666666666667, 324)
	effector:SetKey(_TRACK_X, 0.83333333333333, 143)
	effector:SetKey(_TRACK_Y, 0.83333333333333, 348)
	effector:SetKey(_TRACK_X, 1.375, 159.5)
	effector:SetKey(_TRACK_Y, 1.375, 341.75)
	effector:SetKey(_TRACK_A, 0.54166666666667, 0)
	effector:SetKey(_TRACK_A, 0.83333333333333, 4.46804288)
	effector:SetKey(_TRACK_A, 1.375, -4.0317105675)
	effector:SetKey(_TRACK_O, 0.375, 0)
	effector:SetKey(_TRACK_O, 0.45833333333333, 1)
	effector:Play()
 
 
	-- Layer Layer_13
	element = CreateCompositionElement(PREFIX_PATH.."grain.png")
	element:SetName("Layer_13")
	compositiongrains:AddElement(element)
	element:SetHotSpot(5, 10)
	element:SetParentElement(compositiongrains)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.29166666666667, 3)
	effector:SetKey(_TRACK_X, 0.29166666666667, 102.5)
	effector:SetKey(_TRACK_Y, 0.29166666666667, 226.5)
	effector:SetKey(_TRACK_X, 0.45833333333333, 124.5)
	effector:SetKey(_TRACK_Y, 0.45833333333333, 348)
	effector:SetKey(_TRACK_X, 0.58333333333333, 136)
	effector:SetKey(_TRACK_Y, 0.58333333333333, 324)
	effector:SetKey(_TRACK_X, 0.75, 143)
	effector:SetKey(_TRACK_Y, 0.75, 348)
	effector:SetKey(_TRACK_X, 1.29166666666667, 136)
	effector:SetKey(_TRACK_Y, 1.29166666666667, 356.5)
	effector:SetKey(_TRACK_A, 0.45833333333333, 0)
	effector:SetKey(_TRACK_A, 0.75, -6.178465545)
	effector:SetKey(_TRACK_A, 1.29166666666667, -5.44542726)
	effector:SetKey(_TRACK_O, 0.29166666666667, 0)
	effector:SetKey(_TRACK_O, 0.375, 1)
	effector:Play()
 
 
	-- Layer Layer_14
	element = CreateCompositionElement(PREFIX_PATH.."grain.png")
	element:SetName("Layer_14")
	compositiongrains:AddElement(element)
	element:SetHotSpot(5, 10)
	element:SetParentElement(compositiongrains)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.16666666666667, 3)
	effector:SetKey(_TRACK_X, 0.16666666666667, 102.5)
	effector:SetKey(_TRACK_Y, 0.16666666666667, 226.5)
	effector:SetKey(_TRACK_X, 0.33333333333333, 124.5)
	effector:SetKey(_TRACK_Y, 0.33333333333333, 348)
	effector:SetKey(_TRACK_X, 0.45833333333333, 131)
	effector:SetKey(_TRACK_Y, 0.45833333333333, 339.5)
	effector:SetKey(_TRACK_X, 0.625, 135.5)
	effector:SetKey(_TRACK_Y, 0.625, 373.5)
	effector:SetKey(_TRACK_X, 1.16666666666667, 160)
	effector:SetKey(_TRACK_Y, 1.16666666666667, 388)
	effector:SetKey(_TRACK_A, 0.33333333333333, 0)
	effector:SetKey(_TRACK_A, 0.625, -6.178465545)
	effector:SetKey(_TRACK_A, 1.16666666666667, -1.2391837675)
	effector:SetKey(_TRACK_O, 0.16666666666667, 0)
	effector:SetKey(_TRACK_O, 0.25, 1)
	effector:Play()
 
 
	-- Layer Layer_15
	element = CreateCompositionElement(PREFIX_PATH.."grain.png")
	element:SetName("Layer_15")
	compositiongrains:AddElement(element)
	element:SetHotSpot(5, 10)
	element:SetParentElement(compositiongrains)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.08333333333333, 3)
	effector:SetKey(_TRACK_X, 0.08333333333333, 102.5)
	effector:SetKey(_TRACK_Y, 0.08333333333333, 226.5)
	effector:SetKey(_TRACK_X, 0.25, 124.5)
	effector:SetKey(_TRACK_Y, 0.25, 348)
	effector:SetKey(_TRACK_X, 0.375, 107.5)
	effector:SetKey(_TRACK_Y, 0.375, 329)
	effector:SetKey(_TRACK_X, 0.54166666666667, 113.5)
	effector:SetKey(_TRACK_Y, 0.54166666666667, 359.5)
	effector:SetKey(_TRACK_X, 1.08333333333333, 126.75)
	effector:SetKey(_TRACK_Y, 1.08333333333333, 368.25)
	effector:SetKey(_TRACK_A, 0.25, 0)
	effector:SetKey(_TRACK_A, 0.54166666666667, -6.178465545)
	effector:SetKey(_TRACK_A, 1.08333333333333, -3.56047167)
	effector:SetKey(_TRACK_O, 0.08333333333333, 0)
	effector:SetKey(_TRACK_O, 0.16666666666667, 1)
	effector:Play()
 
 
	-- Layer Layer_16
	element = CreateCompositionElement(PREFIX_PATH.."grain.png")
	element:SetName("Layer_16")
	compositiongrains:AddElement(element)
	element:SetHotSpot(5, 10)
	element:SetParentElement(compositiongrains)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 3)
	effector:SetKey(_TRACK_X, 0, 102.5)
	effector:SetKey(_TRACK_Y, 0, 226.5)
	effector:SetKey(_TRACK_X, 0.16666666666667, 124.5)
	effector:SetKey(_TRACK_Y, 0.16666666666667, 348)
	effector:SetKey(_TRACK_X, 0.29166666666667, 136)
	effector:SetKey(_TRACK_Y, 0.29166666666667, 324)
	effector:SetKey(_TRACK_X, 0.45833333333333, 143)
	effector:SetKey(_TRACK_Y, 0.45833333333333, 348)
	effector:SetKey(_TRACK_X, 1, 172.5)
	effector:SetKey(_TRACK_Y, 1, 368)
	effector:SetKey(_TRACK_A, 0.16666666666667, 0)
	effector:SetKey(_TRACK_A, 0.45833333333333, 2.9845130175)
	effector:SetKey(_TRACK_A, 1, -4.642575805)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.08333333333333, 1)
	effector:Play()
 
	compositiongrains:Play()
 
	return compositiongrains
end
 
createCompositionstarling = function()
	local compositionstarling = CreateCompositionSequence()
	local compositionDuration = 4
	compositionstarling:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositiongrains()
	element:SetName("Layer_1")
	compositionstarling:AddElement(element)
	element:SetHotSpot(320, 240)
	element:SetParentElement(compositionstarling)
	element:SetXY(320, 240)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(1, 4)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."bag.png")
	element:SetName("Layer_2")
	compositionstarling:AddElement(element)
	element:SetHotSpot(76, 110)
	element:SetParentElement(compositionstarling)
	element:SetXY(71, 201)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 4)
	effector:SetKey(_TRACK_A, 0, -0.4363323125)
	effector:SetKey(_TRACK_A, 1, 0)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 1, 1)
	effector:SetKey(_TRACK_O, 3, 1)
	effector:SetKey(_TRACK_O, 3.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."zerno.png")
	element:SetName("Layer_3")
	compositionstarling:AddElement(element)
	element:SetHotSpot(66, 24)
	element:SetParentElement(compositionstarling)
	element:SetXY(141, 365)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 4)
	effector:SetKey(_TRACK_O, 2.45833333333333, 0)
	effector:SetKey(_TRACK_O, 3, 1)
	effector:Play()
 
	compositionstarling:Play()
 
	return compositionstarling
end
 
